#!/bin/sh
#
# Ask a question and return the default (upon 'enter') or a given response

prompt=$1
default=$2
if [ "$default" != "" ]; then
	default="[$default]"
fi
if [ "`echo '\c'`" = "" ]; then
	echo -e "$prompt $default \c"	>/dev/tty
else
	echo -n -e "$prompt $default "	>/dev/tty
fi
#echo -e $prompt [$default] >/dev/tty
read answer
if [ "$answer" = "" ]; then
	echo $2
else
	echo $answer
fi
